## org.Biocorba.Seqcore
Interface PrimarySeqDB

All Known Subinterfaces:
  SeqDB

All Known Implementing Classes:
  _PrimarySeqDBImplBase, _PrimarySeqDBStub

public interface PrimarySeqDB
extends org.omg.CORBA.Object, org.omg.CORBA.portable.IDLEntity, Unknown

Method Summary
`java.lang.String` `database_name()`
`short` `database_version()`
`PrimarySeq` `get_PrimarySeq(java.lang.String primary_id)`
`PrimarySeqIterator` `make_PrimarySeqIterator()`

Methods inherited from interface GNOME.Unknown
`query_interface, ref, unref`

Method Detail

### database_name

    public java.lang.String database_name()

### database_version

    public short database_version()

### make_PrimarySeqIterator

    public PrimarySeqIterator make_PrimarySeqIterator()

### get_PrimarySeq

    public PrimarySeq get_PrimarySeq(java.lang.String primary_id)
                              throws UnableToProcess